# containers.podman.podman_network_info module – Gather info about podman networks

Note

This module is part of the containers.podman collection (version 1.20.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`. You need further requirements to be able to use this module, see Requirements for details.

To use it in a playbook, specify: `containers.podman.podman_network_info`.

New in containers.podman 1.0.0

## Synopsis

- Gather info about podman networks with podman inspect command.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Comments
--- | ---
executable string | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman` Default: `"podman"`
name string | Name of the network

## Examples

    - name: Gather info about all present networks
      containers.podman.podman_network_info:

    - name: Gather info about specific network
      containers.podman.podman_network_info:
        name: podman

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Description
--- | ---

networks

list / elements=string

Facts from all or specified networks

Returned: always

Sample: `[{"created": "2024-05-27T21:09:03.486699659+03:00", "dns_enabled": false, "driver": "macvlan", "id": "3227f9785ae4657c022c8da7b0e04d2d124199e66da10a9130437e3c3f0e0e42", "internal": false, "ipam_options": {"driver": "host-local"}, "ipv6_enabled": true, "name": "dmz", "options": {"no_default_route": "true"}, "subnets": [{"gateway": "10.10.0.1", "lease_range": {"end_ip": "10.10.0.255", "start_ip": "10.10.0.249"}, "subnet": "10.10.0.0/24"}, {"gateway": "2001:db8:abcd:10::1", "subnet": "2001:db8:abcd:10::/64"}]}]`

### Authors

- Sagi Shnaidman (@sshnaidm)

### Collection links

- Issue Tracker
- Repository (Sources)